Хостинг веб-поиска
Используйте инструмент Responses API web_search вместо автономной конечной точки.
Хостинг веб-поиска
Model Gate не публикует отдельный /v1/web-search запросить договор. Использовать POST /v1/responses с размещенным web_search инструмент.
Запрос
curl https://api.model-gate.com/v1/responses \
-H "Authorization: Bearer mg_live_..." \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.4",
"input": [{"role": "user", "content": [{"type": "input_text", "text": "Find the latest official release notes."}]}],
"tools": [{"type": "web_search"}],
"tool_choice": "required",
"include": ["web_search_call.action.sources"],
"stream": false
}'
Ответ
Завершенный объект Responses включает в себя выходные данные модели и проверяемые источники веб-поиска, если восходящая модель поддерживает размещенный поиск.
{
"id": "resp_...",
"object": "response",
"status": "completed",
"output": [
{
"type": "web_search_call",
"action": {
"sources": [
{"type": "url", "url": "https://example.com/source"}
]
}
},
{
"type": "message",
"content": [
{"type": "output_text", "text": "..."}
]
}
]
}